<template>
  <div class="mb-5">
    <SectionTitle class="mt-2" :title="title" no-line/>

    <div id="places">
      <template v-if="places && places.length">
        <v-lazy
          v-for="place in places"
          :key="place.id"
          :options="{
            threshold: 1
          }"
          min-height="60"
          transition="fade-transition"
        >
          <v-row>
            <v-col class="pb-1 pt-1">
              <Place
                :id="place.id"
                :name="place.name"
                :category="categories[place.category_id-1].name"
                :icon="categories[place.category_id-1].icon"
                :color="categories[place.category_id-1].color"
                :count="categories[place.category_id-1].projectsCount"
                :contacts="place.contacts"
                :subcategory="place.subcategory ? place.subcategory.name : ''"
                :responsible="place.responsible ? place.responsible.name : ''"
                :description="place.description"
                :address="place.address"
                :distance="place.distance"
                :coords="[place.latitude, place.longitude]"
                :type="place.type ? place.type.name : ''"
                :end-date="place.end_date"
                :email="place.email"
                :website="place.website"
                :phone="place.phone"
              />
            </v-col>
          </v-row>
        </v-lazy>
      </template>

      <div v-else class="subtitle-1 font-weight-bold main-text-color text-center">
        К сожалению, ничего не найдено :(
      </div>
    </div>
  </div>
</template>
<script>
  import Place from './Place';
  import SectionTitle from './SectionTitle';
  import {mapState} from 'vuex';

  export default {
    name: 'Places',
    components: {Place, SectionTitle},
    props: {
      title: String,
      places: Array,
    },
    computed: {
      ...mapState('categories', [
        'categories',
      ]),
    },
  };
</script>
